# Node.JS

### [Installera NVM](https://github.com/nvm-sh/nvm "Node Version Manager")

<pre><code>curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.4/install.sh | bash</code></pre>

Efter installation, avsluta aktuell SSH session och logga in igen.

### Installera Node.JS version

<pre><code>nvm install 16.13 && nvm use 16.13</code></pre>

### Uppdatera moduler

Lista installerade moduler

<pre><code>npm list</code></pre>
<pre><code>npm list -g</code></pre>

Sök efter uppdateringar

<pre><code>npm audit</code></pre>

Sök efter uppdateringar för bara production

<pre><code>npm audit --production</code></pre>

### [npm-check-updates](https://github.com/raineorshine/npm-check-updates "npm-check-updates")

`ncu -u` uppdaterar bara package.json, kör därför `npm i` efteråt

<pre><code>npm install -g npm-check-updates
ncu -u
npm install</code></pre>
